# 
# AlignmentTool.rb - The alignment tool
# 
# Copyright (C) 2003  Peter Minten
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#TODO: Display result graphicallly
#TODO: Load set and analyse it

PICHEIGHT = 282
PICWIDTH = 282

#For now simply ask for amounts
puts "Alignment tool"
puts "Please enter the amount of cards from Bear"

bear = STDIN.gets.to_i

puts "Please enter the amount of cards from Fox"

fox = STDIN.gets.to_i

puts "Please enter the amount of cards from Leopard"

leopard = STDIN.gets.to_i

puts "Please enter the amount of cards from Turtle"

turtle = STDIN.gets.to_i

unless (bear + fox + leopard + turtle == 60)
  puts ("Not enough / too many cards (60 needed)")
  exit
end

#Calculation code
if leopard == 0 then
  x = PICWIDTH
else
  x = PICWIDTH/2 * turtle/leopard
end


if bear == 0 then
  y = PICHEIGHT
else
  y = PICHEIGHT/2 * fox/bear
end

puts "X = #{x}"
puts "Y = #{y}"
